Skip to content

Update salary row for an employment

Request

Security
OAuth2Sandbox
Path
employeeIdstringrequired

ID of the employee.

employmentIdstringrequired

ID of the employment.

salaryRowIdintegerrequired

ID of the salary row.

Bodyapplication/jsonrequired
salary_category_idinteger, >= 1

ID of the salary category associated with this row.

Example:1
descriptionobject

Localized description of the salary row.

Supports currently only "fi", which is used for all languages.

Example:
{ "fi": "Kuukausipalkka" }
amountstring

Amount of the salary row.

Example:"3000.00000"
start_datestring, (date)

Start date of the salary row.

Example:"2026-01-01"
end_datestring or null, (date)

End date of the salary row, or null if ongoing.

Example:"2026-12-31"
car_benefitobject

Car benefit associated with this salary row.

daily_allowance_codesArray of strings

Daily allowance codes associated with this salary row.

Items Enum:"meal_allowance""partial_daily_allowance""full_daily_allowance""foreign_daily_allowance""foreign_work_tax_free_compensations"
Example:
[ "meal_allowance" ]
dimension_idsArray of integers

IDs of dimensions associated with this salary row.

Example:
[ 1 ]
curl -i -X PATCH \
  'https://api.<slug>.isv-test.fennoa.com/v2/payroll/employees/{employeeId}/employments/{employmentId}/salary-rows/{salaryRowId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "salary_category_id": 1,
    "description": {
      "fi": "Kuukausipalkka"
    },
    "amount": "3000.00000",
    "start_date": "2026-01-01",
    "end_date": "2026-12-31",
    "car_benefit": {
      "type": "unlimited",
      "emission_value": "90.00",
      "age_group": "b",
      "license_number": "ABC-123"
    },
    "daily_allowance_codes": [
      "meal_allowance"
    ],
    "dimension_ids": [
      1
    ]
  }'

Responses

A payroll employment salary row.

Bodyapplication/json
dataobject(SalaryRow)
Response
{ "data": { "id": 1, "salary_category_id": 1, "description": { … }, "amount": "3000.00000", "start_date": "2026-01-01", "end_date": "2026-12-31", "car_benefit": { … }, "daily_allowance_codes": [ … ], "dimension_ids": [ … ] } }